DEVICEARCH=$ARCH
case $VARIANT in
   baytrail) MODE=rootfsinstall; ROOTFSINSTALL_ADD="-baytrail"; MEDIA_SIZE=5120 ;;
   bananapi) MODE=rootfsinstall; ROOTFSINSTALL_ADD="-bpi"; MEDIA_SIZE=4192 ;;
   cubox) MODE=rootfsinstall; ROOTFSINSTALL_ADD="-cubox"; MEDIA_SIZE=4192 ;;
   livecd) MODE=usbinstall; ROOTFSINSTALL_ADD= ;;
   raspberrypi)
      BASE_IMAGE="openmamba-rootfs-light"
      MODE=rootfsinstall
      if [ "$ARCH" == "aarch64" ]; then
          ROOTFSINSTALL_ADD="-rpi64"
      else
          ROOTFSINSTALL_ADD="-rpi"
      fi
      MEDIA_SIZE=10240 ;;
   raspberrypi-plasma)
      BASE_IMAGE="openmamba-rootfs"
      MODE=rootfsinstall
      ROOTFSINSTALL_ADD="-rpi64"
      MEDIA_SIZE=10240 ;;
   *) MODE=rootfsinstall; ROOTFSINSTALL_ADD= ;;
esac
